> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crewship.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Table

> Delete a table and all of its rows

## Path Parameters

<ParamField path="id" type="string" required>
  Table ID
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  `true` when the table was deleted
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE https://api.crewship.dev/v1/tables/tbl_abc123xyz789 \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "success": true
  }
  ```

  ```json Error theme={null}
  {
    "error": {
      "message": "Table not found"
    }
  }
  ```
</ResponseExample>

## Notes

* Deleting a table also deletes all rows in that table.
* This action cannot be undone.
